"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.showFloatingBubble = exports.requestPermission = exports.reopenApp = exports.isBubbleOpen = exports.initialize = exports.hideFloatingBubble = exports.checkPermission = void 0;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-app-bubble' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const AppBubble = _reactNative.NativeModules.AppBubble ? _reactNative.NativeModules.AppBubble : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
const reopenApp = () => AppBubble.reopenApp();
exports.reopenApp = reopenApp;
const showFloatingBubble = function () {
  let x = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 50;
  let y = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 100;
  return AppBubble.showFloatingBubble(x, y);
};
exports.showFloatingBubble = showFloatingBubble;
const hideFloatingBubble = () => AppBubble.hideFloatingBubble();
exports.hideFloatingBubble = hideFloatingBubble;
const checkPermission = () => AppBubble.checkPermission();
exports.checkPermission = checkPermission;
const requestPermission = () => AppBubble.requestPermission();
exports.requestPermission = requestPermission;
const initialize = () => AppBubble.initialize();
exports.initialize = initialize;
const isBubbleOpen = () => AppBubble.isBubbleOpen();
exports.isBubbleOpen = isBubbleOpen;
//# sourceMappingURL=index.js.map